#
# spec file for package perl-Text-CSV_XS
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-CSV_XS
Version:        1.05
Release:        8.1
%define cpan_name Text-CSV_XS
Summary:        comma-separated values manipulation routines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-CSV_XS/
Source:         http://www.cpan.org/authors/id/H/HM/HMBRAND/%{cpan_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Recommends:     perl(Encode) >= 2.57
%{perl_requires}

%description
Text::CSV_XS provides facilities for the composition and decomposition of
comma-separated values. An instance of the Text::CSV_XS class will combine
fields into a CSV string and parse a CSV string into fields.

The module accepts either strings or files as input and support the use of
user-specified characters for delimiters, separators, and escapes.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog examples README

%changelog
* Mon Mar 17 2014 coolo@suse.com
- updated to 1.05
  * Allow case insensitive attributes and attribute aliases
    (quote_always = always_quote)
  * Enhanced the csv () function (diagnostics)
  * Start callbacks support
  * Minor doc fixes
  * Make subclassing safer
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.04
  * get_columnd () with no argument now returns the empty list
    instead of undef when no columns defined
  * fragments (rcf7111) now also support AoH (was AoA only)
  * Error code conflict for fragments resolved to 2013
  * New function "csv" (not a method)
  * Update copyright to 2014
  * Implement RCF7111
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.02
  * Add example for reading only a single column
  * Don't store NULL in _ERROR_INPUT (RT#86217/Clone)
  * Prevent double-decode in csv-check
  * Add decode_utf8 attribute (default is true)
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.01
  * Cache not re-read on getline_all (RT#86155)
  * Fix automatic UTF-8 in getline/parse for SV's with \0
  * Documents return value of bind_columns without arguments
  * Fix automatic UTF-8 in getline/parse
  * Clarify eol documentation
  * Move error_input to XS
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.97
  * Regain the speed from 0.91 (buffer back to 1k)
  * Minor cleanup in XS code
  * Add diag_verbose attribute
  * No need to require Test::Harness if unused (RT#82693)
  * parse ("") should return one empty field, not undef
  * Now that we know the record number, show it in auto_diag
  * Introduce allow_unquoted_escape as workaround for RT#81295
  * Update copyright to 2013
  * Introduce print_hr () for RT#76143
  * Dropped plans to support EBCDIC
  * Guard against beta releases of Encode (Xavier Guimard - RT#81499)
  * Fix sv_cache init global-buffer-overflow (Reini Urban - RT#81469)
  * Tested with perl compiled with clang (also to verify RT#81469)
  * Fix memory leak reported in RT#81539 (Fix by Tony Cook)
  * Skip Encode related tests on too old Encode
  * Force old(er) tar format (ustar) - assumes GNU tar on release box
  * Allow bind_columns () for print ()
  * Increase buffer size for print to 64k
  * Fix RT#80680 - Buffer break halfway UTF8 + tests
  * Prevent test-failures for long doubles on weird architectures
  * More utf-8 tests for te change of 0.90
  * Update test case now 5.005 is not supported anymore
  * Rip out the tell/seek introduced in 0.90
  * Drop 5.005 support (5.6.1 is now minimum)
  * Introduce record_number
  * Try harder to get the complete input parsed for the current record
    when hitting errors on parsing seekable IO (only works in 5.14.0 and up)
  * Tested with perl 5.6.1 .. 5.17.0 (99 versions of perl) on Linux, HP-UX,
    AIX, and Windows
  * SvSETMAGIC was missing for tied variables causing weird actions at a
    distance, e.g. in printf (Thanks TonyC for finding this)
  * UTF8 flag was not always reset when using bound variables (TonyC)
  * Fix for $/ in 0.86 broke parsing fields that contain excessive $/'s
* Sun Mar 11 2012 coolo@suse.com
- updated to 0.87
  * Extra check on utf8 output (RT#74330)
  * examples/csvdiff now recognizes numerically sorted CSV files
  * Document example comparing getline_hr vs bind_columns + getline
* Fri Feb 17 2012 coolo@suse.com
- updated to 0.86
  * Introduce quote_binary attribute
  * Update copyright to 2012
  * Versions
  * Fixed a utf8::decode on undef (found by perl-5.15.7)
  * Fixed localized $/ interference with other handles (RT#74216)
* Tue Nov 29 2011 coolo@suse.com
- update to 0.85
  * NAME / DISTNAME in Makefile.PL
  * More cross-checks for META data
  * Fix spurious auto_diag warning (RT#69673)
  * Tested with 50 versions of perl, including 1.15.1
* Mon May 16 2011 coolo@opensuse.org
- updated to 0.82
  * Doc fix (RT#66905, Peter Newman)
  * Documentation overhaul (pod links)
* Thu Mar 31 2011 coolo@novell.com
- update to 0.81
  * Add is_missing ()
  * Doc overhaul
  * Fix Build on OpenVMS (RT#65654, Martin P.J. Zinser)
  * Fix SetDiag () leak (RT#66453, Sven Sch366ling)
  * Implement getline_all () and getaline_hr_all ()
  * Fixed another parsing for eol = \r (RT#61525)
  * Use correct type for STRLEN (HP-UX/PA-RISC/32)
  * More code coverage
  * EOF unreliable when line-end missing at eof
  * Internals now use warn () instead of (void)fprintf (stderr, ...)
    Now the test in t/80_diag also passes on Windows
  * Better parsing for eol = \r and set as such (RT#61525)
  * Workaround for AIX cpp bug (RT#62388, Jan Dubois)
  * Spelling fixes
  * Real eol support for parsing streams (beyond \n, \r and \r\n)
  * Clarify doc for always_quote to not quote undef fields
  * Clarify UTF8 process for print () and combine ()
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Jun  2 2010 chris@computersalat.de
- update to 0.73
  * Improve date conversion in examples/csv2xls
    new option -D allows column selection for date conversions
  * Tested under perl-5.12.0 (and 21 other versions of perl)
  * Added a note about EBCDIC data files
  * Test suite is now safe for parallel test (prove --shuffle -j6)
- 2010-03-16 0.72 - H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Introduce quote_null attribute (RT#55200)
  * examples/csv-check can be used for Text::CSV_PP
  * examples/csv-check more options for sep_, escape_ and quote_char
  * examples/csv2xls more options for sep_, escape_ and quote_char
  * examples/csv2xls added auto_diag and verbosity
  * Dropped YAML spec to 1.0
- 2010-02-15 0.71 - H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Upped copyright to 2010
  * Prevent double encoding: make Text::CSV_XS streams behave just
    like perl would (thanks ikegami for the test cases)
  * Text::CSV_XS->error_diag () in void context now warns instead of
    doing nothing
  * auto_diag also used for new () itself
- fix deps, cleanup spec
* Sat Dec 12 2009 chris@computersalat.de
- update 0.70
  * Add quote_space attribute
  * Forbid \r and \n in sep_char, quote_char, and escape_char
  * 0.69 - H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Missing end quotes in error code docs
  * examples/csv-check now shows detected eol
  * Auto detection of eol => "\r" in streams
  * Optimized caching. All cache changes now in XS
  * 0.68 - H.Merijn Brand   <h.m.brand@xs4all.nl>
  * Attribute auto_diag now localizes to +1 if autodie is active
  * Output name generation in csv2xls (RT#48954)
  * Added csvdiff to examples/
  * Reordered docs. Rewrote SYNOPSIS to be more like a real-world
    code example
- cleanup spec
  * define cpan_name
  * sort tags
  * fix build-/deps
  * added Authors
- added perl-macros
  * perl_gen_filelist
* Mon Aug 10 2009 coolo@novell.com
- update 0.67
  * Fix empty_diag typo for attribute handler
  * Fix AUTOMATED_TESTING erroneous skip
  * Reordered examples in doc to show best method first
  * Fail if first arg to new () is not a hash ref
  * Implement empty_is_undef on request of Evan Carroll
  * error_diag () uses warn () in void context instead of STDERR
  * Add auto_diag attribute (still under construction)
  * Initial known errors can now be checked on number (1002)
  * Added -u option to examples/csv-check to validate utf-8 encoding
  * All error_diag () returns should now be dual-var (both numeric
  ... see Changelog for many more fixes
* Mon Apr 14 2008 ug@suse.de
- version 0.41
- error_diag () subclassable
- typo in bind_columns () docs
- examples/csv2xls now uses getline ()
- better test for getline in t/75_hashref.t (makamata)
- document return value of getline () with bind_columns ()
- add perl version prereq to META.yml
- Implemented getline_hr () and column_names () RT 34474
  (suggestions accepted from Mark Stosberg)
- Corrected misspelled variable names in XS
- Functions are now =head2 type doc entries (Mark Stosberg)
- Make SetDiag() available to the perl level, so errors can
  be centralized and consistent
- Integrate the non-XS errors into XS
- Add t/75_hashref.t
- Testcase for error 2023 (Michael P Randall)
- Completely refactored the XS part of parse/getline, which
  is now up to 6%% faster. YMMV
- Completed bind_columns. On straight fetches now up to three
  times as fast as normal fetches (both using getline ())
* Fri Apr  4 2008 ug@suse.de
- version to 0.37
- Fix leak / make meta info available to getline () + tests
- Updated ppport.h
- auto-load IO::Handle when needed
- Diagnostics for failed new ()
- New 'blank_is_undef' option
- Fixed allow_whitespace issue, revealed by blank_is_undef
- Fixed parse error that passed for q{1, "bar",2} with escape_char +
- Extended XS coverage
- Removed error 2033
- Text-CSV_XS now under git
- Added $csv->error_diag () to SYNOPSIS
- Added need for diag when new () fails to TODO
- Fixed a sneaked-in defined or in examples/csv2xls
- Plugged a 32byte memory leak in the cache code (valgrind++)
- Improved usage for examples/csv2xls (GetOpt::Long now does --help/-?)
- Extended examples/csv2xls to deal with Unicode (-u)
- Serious bug in Text::CSV_XS::NV () type setting, causing the
  resulting field to be truncated to IV
* Mon Jul 16 2007 ug@suse.de
- version to 0.29
  * Removed an unused 'use Data::Dumper'
  * Added $csv->eof () RT 27424
  * Two typo's in the doc's (Amsterdam.pm)
  * Modified examples/speed.pl to better show the diffs between versions
  * Cache attribute settings and regain speed of 0.23! anmd beyond
  Relative overall speeds (YMMV, use examples/speed.pl to check),
  the 1.0x versions are from Text::CSV_PP.
    0.23 0.25 0.26 0.27 0.28 0.29 1.00 1.02 1.05
    ==== ==== ==== ==== ==== ==== ==== ==== ====
    combine   1   62   61   61   60   58  100   14   14   14
    combine  10   41   41   41   42   42  100    6    6    6
    combine 100   35   35   36   36   36  100    5    5    5
    parse     1  100   92   87   90   81   96   19   19   17
    parse    10   95  100   86   97   94   94   15   16   14
    parse   100   90   95   84   94   92  100   16   16   14
    print    io   93   89   91   91   95  100    0    0    6
    getline  io   90   92   84   87   89  100    0    0   13
  - --- ---- ---- ---- ---- ---- ---- ---- ----
    average       75   75   71   74   73   98    9    9   11
  * Removed prototypes
  * Added a SPECIFICATION section to the pod
  * Safe caching of eol, and a warning in the docs
  * Rewrote t/20_file.t do do actual file IO instead of IO_Scalar fake
  * Small optimilisation for parse (juerd)
  * Added make target test_speed
  * Merged the items from CAVEAT to SPECIFICATION
  * Updated the TODO and Release Plan sections
  * Speed up internals by using references instead of copies (juerd)
  * Reworked error_input, which also had an undetected internal error
  * Added IO tests for lexical IO handles and perlio IO to/from scalars
  * IMPORTANT CHANGE: new () returns undef if it gets unsupported
  attributes. Until now, new ({ esc_char => "\\" }) was just
  silently ignored. Rejecting it and failing is better than
  continuing with false assumptions.
  * Added allow_loose_quotes  (see doc)
  * Added t/65_allow.t
  * Added allow_loose_escapes (see doc) RT 15076
  * More code cleanup in XS
  * Added allow_whitespace    (see doc)
  * checked with perlcritic (still works under 5.00504)
  so 3-arg open cannot be used (except in the docs)
  * 3-arg open in docs too
  * Added a lot to the TODO list
  * Some more info on using escape character (jZed)
  * Mention Text::CSV_PP in README
  * Added t/45_eol.t, eol tests
  * Added a section about embedded newlines in the pod
  * Allow \r as eol ($/) for parsing
  * More docs for eol
  * More eol = \r fixes, tfrayner's test case added to t/45_eol.t
  * Add $csv->allow_undef (1) suggestion in TODO
  Still have to find the best spot to document
  the difference between empty string and undef
  * Spell-checked the pod and fixed some typo's
  * Added t/70_rt.t
  - Regression         for RT 24386: \t doesn't work (WFM)
  - Regression and fix for RT 21530: getline () return at eof
    This one still passes under perl 5.00504
  - Regression         for RT 18703: Fails to use quote_char of '~'
  * Added t/55_combi.t for most combinations of always_quote,
  sep_char, quote_char, and escape_char
  * Added docs about sep_char not allowed to be either quote_char
  or escape_char
  * Both combine () and parse () now return FALSE id sep_char is
  equal to either quote_char or escape_char. Done in XS, as it
  was a slowdown of 10%% when done in perl.
  * Merijn got the maintainership
- code reformat and code cleanup
- renamed internal (Encode, Decode) to (Combine, Parse) to
  prevent misinterpretation with upcoming Unicode changes
  and possible name clashes
- added pod check (and fixed pod)
- added pod coverage and small additions to the pod.
  More to do in this area
- renamed test to fixate the sequence
- Added t/50_utf8.t
- tests now use Test::More
  . Makefile.PL requires Test::More
- checked proclaimed version compatibility
  . 5.9.x-64int     works @31159
  . 5.8.x-64int-dor works @31162
  . 5.8.0-dor       works
  . 5.6.2           works
  . 5.005.04        works
  . 5.004.05        fails
- 5.005 is now prerequisite
- Added missing info in docs for new ()
- Added meta_info () method and docs
- Added keep_meta_info in new ()
- Added t/15_flags.t
- Added test_cover make target
- Added test for error_input ()
- Added tests for fields () and meta_info () before parse ()
- Added tests for ->types () as method
- Added tests for deleting types (coverage now over 99%%)
- Added is_quoted (), is_binary () and tests
- Added COPYRIGHT section to pod
- Added the parse example from the pod to test.pl
- Added accessor methods for internals: quote_char () et all
- Added tests for the new accessor methods
- Added always_quote to the missing places in the doc and in new ()
- Changed the tests to use the accessors instead of the hash keys
  except for the ->{types} and ->{_types}
- Moved test.pl to examples/speed.pl
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 nashif@suse.de
- use DESTDIR
- fixed filelist
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Fri Jun 13 2003 nashif@suse.de
- Fixed file list
* Mon Jul  8 2002 nashif@suse.de
- use mandir macro
* Tue Dec 11 2001 nashif@suse.de
- Update to version 0.23
* Wed Mar  7 2001 nashif@suse.de
- Update to version 0.22
* Wed Nov  8 2000 nashif@suse.de
- removed buiuld root path from packlist
* Tue Nov  7 2000 nashif@suse.de
- Changed to long package name
* Wed Oct 11 2000 nashif@suse.de
- Fixed man path
* Thu Aug 24 2000 nashif@suse.de
- Initial Release (0.20)
